CVE-2017-14607

Published: 20 September 2017

In ImageMagick 7.0.7-4 Q16, an out of bounds read flaw related to ReadTIFFImage has been reported in coders/tiff.c. An attacker could possibly exploit this flaw to disclose potentially sensitive memory or cause an application crash.

Priority

Low

CVSS 3 base score: 8.1

Status

Package Release Status
imagemagick
Launchpad, Ubuntu, Debian
Upstream
Released (8:6.9.9.34+dfsg-3)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (8:6.9.7.4+dfsg-16ubuntu6.2)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (8:6.8.9.9-7ubuntu5.11)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was released [8:6.7.7.10-6ubuntu3.11])
Patches:
Upstream: https://github.com/ImageMagick/ImageMagick/commit/cd665c3d05b46d1579c738a72214175ff50aec74

Notes

AuthorNote
mdeslaur
0321-CVE-2017-14607-Fix-out-of-bounds-read-in-ReadTIFFImage.patch in wheezy
0252-CVE-2017-14607.patch in jessie
0104-CVE-2017-14607.patch

References

Bugs